Package org.springframework.web.server

# Class PayloadTooLargeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.web.ErrorResponseException
org.springframework.web.server.ResponseStatusException
org.springframework.web.server.PayloadTooLargeException

All Implemented Interfaces:
  `Serializable`, `ErrorResponse`

public class PayloadTooLargeException extends ResponseStatusException
Exception for errors that fit response status 413 (payload too large) for use in Spring Web applications.

Since:
  6.2
Author:
  Kim Bosung
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.web.ErrorResponse

`ErrorResponse.Builder, ErrorResponse.Interceptor`

## Constructor Summary

Constructors
Constructor
Description
`PayloadTooLargeException(Throwable cause)`

## Method Summary

### Methods inherited from class org.springframework.web.server.ResponseStatusException

`getHeaders, getMessage, getReason, getResponseHeaders, updateAndGetBody`

### Methods inherited from class org.springframework.web.ErrorResponseException

`getBody, getDetailMessageArguments, getDetailMessageCode, getStatusCode, setDetail, setInstance, setTitle, setType`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.web.ErrorResponse

`getDetailMessageArguments, getTitleMessageCode, getTypeMessageCode`

## Constructor Details

### PayloadTooLargeException

public PayloadTooLargeException(@Nullable Throwable cause)